%define modname idn
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A26_%{modname}.ini

Summary:	Provides a interface to GNU Libidn for PHP
Name:		php-%{modname}
Version:	1.2b
Release:	%mkrel 2
Group:		Development/PHP
URL:		http://php-idn.bayour.com/
License:	PHP License
Source0:	http://php-idn.bayour.com/idn_%{version}.tar.bz2
Patch0:		idn-1.1-lib64.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	idn-devel
Provides:	php5-idn
Obsoletes:	php5-idn
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Binding to the GNU libidn for using Internationalized Domain Names.


%prep

%setup -q -n idn-%{version}
%patch0 -p0

%build

phpize --clean; phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[idn]

idn.allow_unassigned_chars = "0"
idn.default_charset = "ISO-8859-1"
idn.use_std_3_ascii_rules = "0"

EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc README* entities reference tests CREDITS THANX_TO idn.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2b-2mdv2007.0
+ Revision: 117667
- rebuilt against new upstream php version (5.2.1)

* Tue Dec 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.2b-1mdv2007.1
+ Revision: 91165
- 1.2b

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-10mdv2007.0
+ Revision: 78197
- fix deps
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-8mdv2007.1
+ Revision: 75233
- Import php-idn



* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-8
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-7mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-6mdk
- rebuilt for php-5.1.4

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-5mdk
- rebuilt for php-5.1.3

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-4mdk
- new group (Development/PHP) and iurt rebuild

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-3mdk
- rebuilt against php-5.1.2

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.1-1mdk
- rebuilt against php-5.1.0
- fix versioning

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.1-0.RC1.2mdk
- rebuilt to provide a -debug package too

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.1-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_1.1-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.1-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.1-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.1-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.1-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.1-2mdk
- rebuild due to hardened-php-0.2.6

* Sun Dec 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.1-1mdk
- 1.1
- use the source by Turbo Fredriksson and Simon Josefsson instead

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.1-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.1-1mdk
- rebuilt for php-5.0.2

* Mon Aug 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_0.1-1mdk
- use the pecl source as Turbo Fredriksson and Simon Josefssons 
  code won't compile at all...
- built for php-5.0.1

* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0-4mdk
- rebuilt against latest libidn

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0-2mdk
- rebuilt against latest libidn

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0-1mdk
- 1.0
- drop P0, it's included

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.9-1mdk
- use the source by Turbo Fredriksson and Simon Josefsson instead
- added P0

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.1-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_0.1-1mdk
- initial cooker contrib
